Bug 710774 - Review Request: python-vkontakte - vk.com (aka vkontakte.ru) API wrapper
Review Request: python-vkontakte - vk.com (aka vkontakte.ru) API wrapper
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Fabian Affolter
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 710777
  Show dependency treegraph
 
Reported: 2011-06-04 13:29 EDT by Peter Lemenkov
Modified: 2011-06-15 14:42 EDT (History)
3 users (show)

See Also:
Fixed In Version: python-vkontakte-0.9.5-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-15 14:29:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mail: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peter Lemenkov 2011-06-04 13:29:51 EDT
Spec URL: http://peter.fedorapeople.org/foobnix/python-vkontakte.spec
SRPM URL: http://peter.fedorapeople.org/foobnix/python-vkontakte-0.9.5-1.fc15.src.rpm
Description: This is a vk.com (aka vkontakte.ru, largest Russian social network) python API wrapper. The goal is to support all API methods (current and future) that can be accessed from server.


Koji scratchbuild:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3108105
Comment 1 Fabian Affolter 2011-06-05 07:30:24 EDT
Package Review
==============

Package: 

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec
 [x] Package meets the Packaging Guidelines
 [x] Package successfully compiles and builds into binary RPMs on at least one
supported architecture
     Tested: 
 [!] Rpmlint output:
     Source RPM:
     [fab@laptop021 SRPMS]$ rpmlint python-vkontakte-0.9.5-1.fc15.src.rpm 
     python-vkontakte.src: W: spelling-error Summary(en_US) vk -> ck, bk, v
     python-vkontakte.src: W: spelling-error Summary(en_US) ru -> roe, Ru, r
     python-vkontakte.src: W: summary-not-capitalized C vk.com (aka vkontakte.ru) API wrapper
     python-vkontakte.src: W: spelling-error %description -l en_US vk -> ck, bk, v
     python-vkontakte.src: W: spelling-error %description -l en_US ru -> roe, Ru, r
    python-vkontakte.src: W: invalid-url Source0: http://pypi.python.org/packages/source/p/vkontakte/vkontakte-0.9.5.tar.gz HTTP Error 404: Not Found
     1 packages and 0 specfiles checked; 0 errors, 6 warnings.
     Binary RPM(s):
     [fab@laptop021 noarch]$ rpmlint python-vkontakte-0.9.5-1.fc15.noarch.rpm 
     python-vkontakte.noarch: W: spelling-error Summary(en_US) vk -> ck, bk, v
     python-vkontakte.noarch: W: spelling-error Summary(en_US) ru -> roe, Ru, r
     python-vkontakte.noarch: W: summary-not-capitalized C vk.com (aka vkontakte.ru) API wrapper
     python-vkontakte.noarch: W: spelling-error %description -l en_US vk -> ck, bk, v
     python-vkontakte.noarch: W: spelling-error %description -l en_US ru -> roe, Ru, r
     1 packages and 0 specfiles checked; 0 errors, 5 warnings.
 [x] Package is not relocatable
 [x] Buildroot is correct (if it's still used)
     master   : %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
     spec file: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license
     License type: MIT
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc

 [x] Spec file is legible and written in American English
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL
     Upstream source: 3c45c3e965cf5b72f362662cf29422c7
     Build source:    3c45c3e965cf5b72f362662cf29422c7
 [x] Package is not known to require ExcludeArch
 [x] Architecture independent packages have: BuildArch: noarch
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.  %find_lang used for locales
 [-] %{optflags} or RPM_OPT_FLAGS are honoured
 [-] ldconfig called in %post and %postun if required
 [x] %install starts with rm -rf %{buildroot} or $RPM_BUILD_ROOT
 [-] Package use %makeinstall only when make install DESTDIR=... doesn't work.
 [-] Package must own all directories that it creates
 [x] Package requires other packages for directories it uses
 [x] Package does not own files or directories owned by other packages
 [x] Package does not contain duplicates in %files
 [x] Permissions on files are set properly. %defattr(-,root,root,-) is in every %files section
 [x] Package uses nothing in %doc for runtime
 [x] Package has a %clean section, which contains rm -rf %{buildroot} or $RPM_BUILD_ROOT (if it's still used)
 [-] Included tests passed successfully 
 [x] Package consistently uses macros
 [x] Package contains code, or permissable content
 [x] Included filenames are in UTF-8

 [-] Large documentation files are in a -doc subpackage, if required
 [-] Header files (.h) in -devel subpackage, if present
 [-] Fully versioned dependency in subpackage, if present
 [-] Static libraries (.a) in -static subpackage, if present
 [-] Package requires pkgconfig, if .pc files are present
 [-] Development .so files in -devel subpackage, if present
 [x] Package does not contain any libtool archives (.la)
 [-] -debuginfo subpackage is present and looks complete
 [x] No pre-built binaries (.a, .so*, executable)
 
 [-] Package contains a properly installed .desktop file if it is a GUI application
 [-] Follows desktop entry spec
 [-] Valid .desktop Name
 [-] Valid .desktop GenericName
 [-] Valid .desktop Categories
 [-] Valid .desktop StartupNotify
 [-] .desktop file installed with desktop-file-install in %install

=== SUGGESTED ITEMS ===
 [-] Timestamps preserved with cp and install
 [x] Spec use %global instead of %define
 [-] Uses parallel make (%{?_smp_mflags})
 [x] Latest version is packaged
 [x] Package does not include license text files separate from upstream
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available
 [x] Package functions as described
 [-] Scriptlets must be sane, if used
 [-] The placement of pkgconfig(.pc) files is correct
 [-] File based requires are sane
 [x] Changelog in allowed format

- There is a type in Source0

Please fix the URL before the VCS import. I see no further blocker, package APPROVED
Comment 2 Peter Lemenkov 2011-06-05 07:59:51 EDT
Thanks!

New Package SCM Request
=======================
Package Name: python-vkontakte
Short Description: vk.com (aka vkontakte.ru) API wrapper
Owners: peter
Branches: f14 f15
InitialCC:
Comment 3 Jon Ciesla 2011-06-05 18:49:15 EDT
Git done (by process-git-requests).
Comment 4 Fedora Update System 2011-06-06 00:11:30 EDT
python-vkontakte-0.9.5-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/python-vkontakte-0.9.5-1.fc15
Comment 5 Fedora Update System 2011-06-06 00:11:39 EDT
python-vkontakte-0.9.5-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/python-vkontakte-0.9.5-1.fc14
Comment 6 Fedora Update System 2011-06-07 00:38:22 EDT
python-vkontakte-0.9.5-1.fc14 has been pushed to the Fedora 14 testing repository.
Comment 7 Fedora Update System 2011-06-15 14:29:35 EDT
python-vkontakte-0.9.5-1.fc14 has been pushed to the Fedora 14 stable repository.
Comment 8 Fedora Update System 2011-06-15 14:42:50 EDT
python-vkontakte-0.9.5-1.fc15 has been pushed to the Fedora 15 stable repository.

Note You need to log in before you can comment on or make changes to this bug.